/* -*- C -*- */

/* 
 * VME Teststand Software
 *
 * Code revised by Armin Karcher (karcher@design.lbl.gov)
 *
 * Design and Template by:
 *   Eric Gottlieb  (egott@unm.edu)
 *   Tim Thomas     (thomas@hev1.phys.unm.edu)
 *   Micheal Gold   (gold@hepv1.phys.unm.edu)
 *
 */

#ifndef SEMAPHORE_H
#define SEMAPHORE_H

#ifdef vxworks

#include <semLib.h>

#else /* not vxworks */

typedef int SEM_ID; /* a dummy type under unix, since there are no threads. */

#endif /* vxworks */

void vmeSemLock(SEM_ID* semaphore);
void vmeSemUnlock(SEM_ID* semaphore);

#endif /* SEMAPHORE_H */
