# configuration file for cwish.tcl
# written Wed Jul 24 14:30:13 PDT 1996 by babar

# list of potential front end servers
set config(server_hosts) {sca5.lbl.gov testserver}

# the front end server that will be used by default
set config(default_server) cpvme.physics.ucsb.edu

# the name of this file
set config(config_file_name) config.tcl

# 1 = do keep the teststand resource locked; 0 = don't
set config(lock_teststand) 0

# cards to be checked with mainwindow getstate button

# list of low level windows
set config(windowlist) {vme_teststand}

  # specific information (if necessary) regarding the low level window: vme_teststand
  set config(vme_teststand_snaplist) {daq_0(led) daq_0(pm_id) daq_0(vram_dir) daq_0(cmd_register) daq_0(channel_mask) daq_0(rx_wordcount) daq_0(tx_wordcount) daq_0(timeout_register) daq_0(timeout_int) daq_0(timeout_rst) daq_0(done_int) daq_0(done_rst) daq_0(trailer_en) daq_0(fctrl_en) daq_0(brd_reset)}
  set config(vme_teststand_state) normal
  set config(vme_teststand_title) "vme_teststand"

