/************************************************************/
/*  this is where the global variables                      */
/*  for threshold scans and charge injection are defined..  */
/*  to avoid confusion the Tcl variables are called Cal_xxx */
/*  and the corresponding C variablea are called C_xxx      */
/************************************************************/
  char *C_run;
  char *C_error_limit;
  char *C_histoscope;
  char *C_fake;
  char *C_write_file;
  char *C_output_file;
  char *C_run_number;
  char *C_number_of_events;
  char *C_number_of_chips;
  char *C_number_of_chips_top;
  char *C_number_of_buffers;
  char *C_Side_Hybrid;
#
  char *C_min_threshold[MAX_NUM_CHIP];
  char *C_max_threshold[MAX_NUM_CHIP];
  char *C_step_threshold[MAX_NUM_CHIP];
  char *C_min_charge[MAX_NUM_CHIP];
  char *C_max_charge[MAX_NUM_CHIP];
  char *C_step_charge[MAX_NUM_CHIP];
  char *C_jitter[MAX_NUM_CHIP];
  char *C_shaping_time[MAX_NUM_CHIP];
  char *C_sampling_rate[MAX_NUM_CHIP];
  char *C_skip[MAX_NUM_CHIP];
  char *C_readout_direction[MAX_NUM_CHIP];
  char *C_ignore[MAX_NUM_CHIP];
  char *C_respond[MAX_NUM_CHIP];
  char *C_clock_through[MAX_NUM_CHIP];
  char *C_test_pattern[MAX_NUM_CHIP];
  char *C_Set_Clock_B[MAX_NUM_CHIP];
  char *C_calib_mask[MAX_NUM_CHIP][8];
  char *C_channel_mask[MAX_NUM_CHIP][8];

  char *C_root_file;

  char *C_xy_scan;
  char *C_xy_which_axis;
  char *C_xy_x_initial;
  char *C_xy_y_initial;
  char *C_xy_step_size;
  char *C_xy_nstep;
  char *C_xy_start_flag;
  char *C_one_at_a_time;  
  char *C_compressed_format;  
  char *C_format_check_flag;

/************************************************************/
/*  this variables are integerized or whatever              */
/************************************************************/
  int run_number;
  int number_of_events;
  int number_of_chips;
  int number_of_chips_top;
  int number_of_buffers;
  int number_of_sides;
  int error_limit;

  int min_threshold[MAX_NUM_CHIP];
  int max_threshold[MAX_NUM_CHIP];
  int step_threshold[MAX_NUM_CHIP];
  int min_charge[MAX_NUM_CHIP];
  int max_charge[MAX_NUM_CHIP];
  int step_charge[MAX_NUM_CHIP];
  int jitter[MAX_NUM_CHIP];
  int shaping_time[MAX_NUM_CHIP];
  int sampling_rate[MAX_NUM_CHIP];
  int skip[MAX_NUM_CHIP];
  int ignore[MAX_NUM_CHIP];
  int readout_direction[MAX_NUM_CHIP];
  int respond[MAX_NUM_CHIP];
  int clock_through[MAX_NUM_CHIP];
  int test_pattern[MAX_NUM_CHIP];
  int Set_Clock_B[MAX_NUM_CHIP];
  int calib_mask[MAX_NUM_CHIP][8];
  int channel_mask[MAX_NUM_CHIP][8];
  int xy_scan;
  int xy_which_axis;
  float xy_x_initial;
  float xy_y_initial;
  float xy_step_size;
  int xy_nstep;
  int xy_start_flag;
  int one_at_a_time;
  int compressed_format;
  int format_check_flag;
/****************************************************************/
/* Other variables used in a bunch of places                    */
/****************************************************************/
unsigned int cal_creg[MAX_NUM_CHIP];
int cal_thresh_dac[MAX_NUM_CHIP];
int cal_cal_dac[MAX_NUM_CHIP];
vme_vmetype chip_data[32];
char* cal_data_point;
int written_calib_mask[MAX_NUM_CHIP][8];
int written_channel_mask[MAX_NUM_CHIP][8];

/* Careful: 0=X 1=Y for coord */
float coord[2];








