/*
   This header files contains the op-codes.
   The opcodes are five bits.  Note that here
   the order of the bits is reversed from what 
   is given in the chip document.  This is 
   because of the PM comunication protocol

*/

#define NOOP         0
#define CLEAR        0x10
#define SYNCH        0x8
#define L1ACCEPT     0x18
#define READEVENT    0x4
#define CALSTROBE    0x14
#define WRITECONTROL 0x1b
#define WRITEMASK    0x7
#define READREG      0x17
#define RESET        0xf

