/* 
 * VME Teststand Software
 *
 * Code revised by Armin Karcher (karcher@design.lbl.gov)
 *
 * Design and Template by:
 *   Eric Gottlieb  (egott@unm.edu)
 *   Tim Thomas     (thomas@hev1.phys.unm.edu)
 *   Micheal Gold   (gold@hepv1.phys.unm.edu)
 *
 */

#ifndef REGTRACE_H
#define REGTRACE_H

#include <tk.h>
#include "error.h"
#include "reglist.h"
#include "cardlist.h"

void vme_TclRegAdd(Tcl_Interp* interp, vme_register reg);
void vme_TclBaseAdd(Tcl_Interp* interp, vme_card card);
int vme_TclRegInit(Tcl_Interp *interp);
vme_rc vme_TclGetRegister(Tcl_Interp* interp,char* name,vme_register* regptr, int* instptr);

#endif
