/* 
 * VME  Teststand Software
 *
 * Code revised by Armin Karcher (karcher@design.lbl.gov)
 *
 * Design and Template by:
 *   Eric Gottlieb  (egott@unm.edu)
 *   Tim Thomas     (thomas@hev1.phys.unm.edu)
 *   Micheal Gold   (gold@hepv1.phys.unm.edu)
 *
 */

#ifndef TCLUTILS_H
#define TCLUTILS_H

#include <tk.h>
#include "error.h"


char* vme_Itoa(int i);
char* vme_Htoa(int i);
int vme_TclError(Tcl_Interp* interp,char* s,vme_rc err);
int vme_TclReturn(Tcl_Interp* interp,vme_rc err);
int vme_TclArgError(Tcl_Interp* interp, char* name, int number);
int vme_TclRcReturn(Tcl_Interp* interp,int rc);
int vme_TclStrReturn(Tcl_Interp* interp,char* str);

#endif
