/* 
 * VME Teststand Software
 *
 * Code revised by Armin Karcher (karcher@design.lbl.gov)
 *
 * Design and Template by:
 *   Eric Gottlieb  (egott@unm.edu)
 *   Tim Thomas     (thomas@hev1.phys.unm.edu)
 *   Micheal Gold   (gold@hepv1.phys.unm.edu)
 *
 */

#ifndef lock_H
#define lock_H

#include "error.h"

enum vme_resource { 
  VME_RES_LIBRESOURCES = 0,
  VME_RES_TESTSTAND = 1
};

vme_rc vmeLockResource(enum vme_resource resource, int resource_key);
vme_rc vmeUnlockResource(enum vme_resource resource, int resource_key);

#endif
