/* 
 * DAQ Teststand Software
 *
 *
 * Code by Armin Karcher (karcher@design.lbl.gov)
 * Design and Template by:
 *   Eric Gottlieb  (egott@unm.edu)
 *   Tim Thomas     (thomas@hev1.phys.unm.edu)
 *   Micheal Gold   (gold@hepv1.phys.unm.edu)
 *
 */

#ifndef UNM604_H
#define UNM604_H

#include <sys/types.h>
#ifdef vxworks
#include <types/vxTypesOld.h>
#endif
#include "error.h"
#include "low.h"
#include "reglist.h"
#include "cardlist.h"


extern vme_card mvme604;

extern vme_register mvme_robn;
extern vme_register mvme_dwb;
extern vme_register mvme_lvfair;
extern vme_register mvme_lvrwd;
extern vme_register mvme_lvreql;
extern vme_register mvme_dhal;
extern vme_register mvme_den;
extern vme_register mvme_dtbl;
extern vme_register mvme_dfair;
extern vme_register mvme_drelm;
extern vme_register mvme_drelq;
extern vme_register mvme_inte;
extern vme_register mvme_vinc;
extern vme_register mvme_linc;
extern vme_register mvme_tvme;
extern vme_register mvme_d16;
extern vme_register mvme_blk;
extern vme_register mvme_d64;
extern vme_register mvme_vme_am;
extern vme_register mvme_ladrr_ctr;
extern vme_register mvme_vaddr_ctr;
extern vme_register mvme_byte_ctr;
extern vme_register mvme_tbl_ctr;
extern vme_register mvme_done;
extern vme_register mvme_arbto;
extern vme_register mvme_time_off;
extern vme_register mvme_time_on;
extern vme_register mvme_vgto;
extern vme_register mvme_vato;
extern vme_register mvme_lbto;
extern vme_register mvme_wdto;
extern vme_register mvme_prescale;
extern vme_register mvme_tt1_comp;
extern vme_register mvme_tt1_ctr;
extern vme_register mvme_tt2_comp;
extern vme_register mvme_tt2_ctr;
extern vme_register mvme_tt1_ovf;
extern vme_register mvme_tt1_covf;
extern vme_register mvme_tt1_coc;
extern vme_register mvme_tt1_en;
extern vme_register mvme_tt2_ovf;
extern vme_register mvme_tt2_covf;
extern vme_register mvme_tt2_coc;
extern vme_register mvme_tt2_en;

void vmeAdd604Registers();

#endif
