/* 
 * DAQ Teststand Software
 *
 *
 * Code by Armin Karcher (karcher@design.lbl.gov)
 * Design and Template by:
 *   Eric Gottlieb  (egott@unm.edu)
 *   Tim Thomas     (thomas@hev1.phys.unm.edu)
 *   Micheal Gold   (gold@hepv1.phys.unm.edu)
 *
 */

#ifndef UNMcp_H
#define UNMcp_H

#include <sys/types.h>
#ifdef vxworks
#include <types/vxTypesOld.h>
#endif
#include "error.h"
#include "low.h"
#include "reglist.h"
#include "cardlist.h"


extern vme_card vme_cp;

extern vme_register vme_cp1;
extern vme_register vme_cp2;
extern vme_register vme_cp3;
extern vme_register vme_cp4;
extern vme_register vme_cp5;
extern vme_register vme_cp6;
extern vme_register cp_ram;

void vmeAddcpRegisters();

#endif
