###############################################
# Generalized procedure yo pop up a help window
# Inputs are (1) window name
#            (2) help file to display
###############################################
proc cal_help {windowname filename} {

    if {![winfo exists $windowname]} {
	toplevel $windowname -bg #00f
        frame $windowname.f1 -bg #00f
        frame $windowname.f2 -bg #00f
        button $windowname.b -text "Close This Window" \
                 -command "destroy $windowname" \
                 -bg #8dd  \
                 -activebackground #7cc  \
                 -highlightthickness 0
	text $windowname.text \
		-relief raised \
		-bd 2 \
		-yscrollcommand "$windowname.scroll set"\
		-bg #aff
	scrollbar $windowname.scroll -command "$windowname.text yview"
	pack $windowname.f1 $windowname.f2 -pady 3 -in $windowname
	pack $windowname.b -in $windowname.f1
	pack $windowname.scroll -side left -fill y -in $windowname.f2
	pack $windowname.text -side left -in $windowname.f2
    }

    set exists [file exist $filename]
    if {$exists != 1} {
	$windowname.text insert end "Sorry no helpfile to be found \n"
        return
    }

    set f [open $filename r]
    while {![eof $f]} {
	$windowname.text insert end [read $f 1000]
    }
    close $f
}
