#- procedure to pop up a window and ask for a yes or no answer
#- returns "YES" or "NO"
proc cal_yes_no { messaggio } {
    global yes_no

#- the dialog variable
    set yes_no 0

#- the current grab
    set grab_current [grab current]

#- make the window
   toplevel .yes_or_no -bg #0ff
   grab set .yes_or_no
   label  .yes_or_no.l -bg #0ff -text "\n $messaggio \n"
   button .yes_or_no.y -bg #8dd -activebackground #f00  \
                       -highlightthickness 0 \
		       -command "set yes_no YES" \
                       -text "YES"
   button .yes_or_no.n -bg #8dd -activebackground #f00  \
                       -highlightthickness 0 \
		       -command "set yes_no NO" \
                       -text "NO"
   pack .yes_or_no.l .yes_or_no.y .yes_or_no.n -in .yes_or_no \
	   -side top -pady 4

#- wait for the button to be hit
   tkwait variable yes_no

#- release the grab, give it back, get out of here
    grab release .yes_or_no
    if {[string length $grab_current] != 0} {
        grab set $grab_current
    }
    destroy .yes_or_no
    return $yes_no
}
