#//////////////////////////////////////////////////////////////////////////////
#
# osvt_exam.tcl 
#
# example on how to use osvt initialization
#
#//////////////////////////////////////////////////////////////////////////////

# --- make a loop on all chips

# --- loop on hybrids
foreach hyb $osvt(hdilist) {
  set type $osvt($hyb-type)
  # --- loop on sides of hybrid
  foreach side $osvt(HDI-$type-sidelist) {
    foreach chip $osvt($hyb-$side-chiplist) {
      puts "hybrid $hyb side $side chip $chip"
      # --- get rom channel for this chip
      if { $osvt($hyb-$side-$chip-rodir) == 0 } {
	set romch $osvt($hyb-$side-l-romch)
      } else {
	set romch $osvt($hyb-$side-r-romch)
      }
      puts "ROM channel $romch"
      puts "control register $osvt($hyb-$side-$chip-ctrlreg)"
      puts "channel mask $osvt($hyb-$side-$chip-chamask)"
    }
  }
}
